Table of Contents

Class FulfillRequestCommandSettings

Namespace
OpenQA.Selenium.DevTools.V146.Fetch
Assembly
Selenium.WebDriver.dll

Provides response to the request.

public sealed class FulfillRequestCommandSettings : ICommand
Inheritance
FulfillRequestCommandSettings
Implements
Inherited Members

Properties

BinaryResponseHeaders

Alternative way of specifying response headers as a \0-separated series of name: value pairs. Prefer the above method unless you need to represent some non-UTF8 values that can't be transmitted over the protocol as text.

[JsonPropertyName("binaryResponseHeaders")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? BinaryResponseHeaders { get; set; }

Property Value

string

Body

A response body. If absent, original response body will be used if the request is intercepted at the response stage and empty body will be used if the request is intercepted at the request stage.

[JsonPropertyName("body")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? Body { get; set; }

Property Value

string

CommandName

Gets the name of the command.

[JsonIgnore]
public string CommandName { get; }

Property Value

string

RequestId

An id the client received in requestPaused event.

[JsonPropertyName("requestId")]
public string RequestId { get; set; }

Property Value

string

ResponseCode

An HTTP response code.

[JsonPropertyName("responseCode")]
public long ResponseCode { get; set; }

Property Value

long

ResponseHeaders

Response headers.

[JsonPropertyName("responseHeaders")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public HeaderEntry[]? ResponseHeaders { get; set; }

Property Value

HeaderEntry[]

ResponsePhrase

A textual representation of responseCode. If absent, a standard phrase matching responseCode is used.

[JsonPropertyName("responsePhrase")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? ResponsePhrase { get; set; }

Property Value

string